<?php
//サイドバーのウィジェット
/*
WordPressのウィジェット欄で使用したいウィジェットを選択してください。
*/
register_sidebar( array(
'name' => __( 'Side widget' ),
'id' => 'side-widget-1',
'before_widget' => '<div class="widget-container">',
'after_widget' => '</div>'
) );
//////////////////////////////////////////////////
//アイキャッチ画像
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(220, 165, true );//幅 220px、高さ 165px、切り抜きモード
//カスタムナビゲーションメニュー
add_theme_support('menus');
//////////////////////////////////////////////////
remove_filter('the_excerpt', 'wptexturize');
remove_filter('the_title', 'wptexturize');
remove_filter('the_content', 'wptexturize');
//参考：http://www.seotemplate.biz/blog/wordpress-tips/2531/
//////////////////////////////////////////////////
remove_filter('the_content', 'wpautop');
//参考：http://www.webopixel.net/wordpress/171.html
//////////////////////////////////////////////////
add_filter( 'show_admin_bar', '__return_false' );
//////////////////////////////////////////////////
function remove_more_jump_link($link) {
$offset = strpos($link, '#more-');
if ($offset) {
$end = strpos($link, '"',$offset);
}
if ($end) {
$link = substr_replace($link, '', $offset, $end-$offset);
}
return $link;
}
add_filter('the_content_more_link', 'remove_more_jump_link');
//参考：http://affilia.xsrv.jp/wordpres%e3%83%86%e3%83%b3%e3%83%97%e3%83%ac%e3%83%bc%e3%83%88%e4%bd%9c%e6%88%90/Article129/
//////////////////////////////////////////////////
function breadcrumb() {
global $post;
$str ='';
if(!is_home()&&!is_admin()) { /* !is_admin は管理ページ以外という条件分岐 */
$str.= '<ul>';
$str.= '<li><a href="'. home_url() .'/">HOME</a></li>';
$str.= '<li>&nbsp;&gt;&nbsp;</li>';
if(is_search()) {
$str.='<li>'. get_search_query() .'で検索した結果</li>';
} elseif(is_tag()) {
$str.='<li>タグ : '. single_tag_title( '' , false ). '</li>';
} elseif(is_404()) {
$str.='<li>404 Not found</li>';
} elseif(is_date()) {
if(get_query_var('day') != 0) {
$str.='<li><a href="'. get_year_link(get_query_var('year')). '">' . get_query_var('year'). '年</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
$str.='<li><a href="'. get_month_link(get_query_var('year'), get_query_var('monthnum')). '">'. get_query_var('monthnum') .'月</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
$str.='<li>'. get_query_var('day'). '日</li>';
} elseif(get_query_var('monthnum') != 0) {
$str.='<li><a href="'. get_year_link(get_query_var('year')) .'">'. get_query_var('year') .'年</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
$str.='<li>'. get_query_var('monthnum'). '月</li>';
} else {
$str.='<li>'. get_query_var('year') .'年</li>';
}
} elseif(is_category()) {
$cat = get_queried_object();
if($cat -> parent != 0) {
$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
foreach($ancestors as $ancestor) {
$str.='<li><a href="'. get_category_link($ancestor) .'">'. get_cat_name($ancestor) .'</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
}
}
$str.='<li>'. $cat -> name . '</li>';
} elseif(is_author()) {
$str .='<li>投稿者 : '. get_the_author_meta('display_name', get_query_var('author')).'</li>';
} elseif(is_page()) {
if($post -> post_parent != 0 ) {
$ancestors = array_reverse(get_post_ancestors( $post->ID ));
foreach($ancestors as $ancestor) {
$str.='<li><a href="'. get_permalink($ancestor).'">'. get_the_title($ancestor) .'</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
}
}
$str.= '<li>'. $post -> post_title .'</li>';
} elseif(is_attachment()) {
if($post -> post_parent != 0 ) {
$str.= '<li><a href="'. get_permalink($post -> post_parent).'">'. get_the_title($post -> post_parent) .'</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
}
$str.= '<li>' . $post -> post_title . '</li>';
} elseif(is_single()) {
$categories = get_the_category($post->ID);
$cat = $categories[0];
if($cat -> parent != 0) {
$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
foreach($ancestors as $ancestor) {
$str.='<li><a href="'. get_category_link($ancestor).'">'. get_cat_name($ancestor). '</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
}
}
$str.='<li><a href="'. get_category_link($cat -> term_id). '">'. $cat-> cat_name . '</a></li>';
$str.='<li>&nbsp;&gt;&nbsp;</li>';
$str.= '<li>'. $post -> post_title .'</li>';
} else {
$str.='<li>'. wp_title('', false) .'</li>';
}
$str.='</ul>';
}
echo $str;
}
//////////////////////////////////////////////////
?>